winstd::basic_string_printf< _Elem, _Traits, _Ax > Class Template Reference
String Formatting

Base template class to support string formatting using `printf()` style templates. More...

`#include <WinStd/Common.h>`

Inheritance diagram for winstd::basic_string_printf< _Elem, _Traits, _Ax >:

## Public Member Functions

Initializing string using template in memory
| basic_string_printf (const _Elem *format,...)
| Initializes a new string and formats its contents using `printf()` style template. More...
Initializing string using template in resources
| basic_string_printf (HINSTANCE hInstance, UINT nFormatID,...)
| Initializes a new string and formats its contents using `printf()` style template in resources. More...
| basic_string_printf (HINSTANCE hInstance, WORD wLanguageID, UINT nFormatID,...)
| Initializes a new string and formats its contents using `printf()` style template in resources. More...

## Detailed Description

template<class _Elem, class _Traits, class _Ax>
class winstd::basic_string_printf< _Elem, _Traits, _Ax >

Base template class to support string formatting using `printf()` style templates.

## Constructor & Destructor Documentation

## basic_string_printf() [1/3]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_printf< _Elem, _Traits, _Ax >::basic_string_printf | ( | const _Elem * | format,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `printf()` style template.

Parameters

  [in] | format | String template using `printf()` style

## basic_string_printf() [2/3]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_printf< _Elem, _Traits, _Ax >::basic_string_printf | ( | HINSTANCE | hInstance,
|  | UINT | nFormatID,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `printf()` style template in resources.

Parameters

  [in] | hInstance | Resource module handle
  [in] | nFormatID | Resource ID of the string template using `printf()` style

## basic_string_printf() [3/3]

template<class _Elem , class _Traits , class _Ax >

winstd::basic_string_printf< _Elem, _Traits, _Ax >::basic_string_printf | ( | HINSTANCE | hInstance,
|  | WORD | wLanguageID,
|  | UINT | nFormatID,
|  |  | ...
| ) |  |

inline

Initializes a new string and formats its contents using `printf()` style template in resources.

Parameters

  [in] | hInstance | Resource module handle
  [in] | wLanguageID | Resource language
  [in] | nFormatID | Resource ID of the string template using `printf()` style

The documentation for this class was generated from the following file:

- include/WinStd/Common.h